Retrieve all supported currencies. Each currency includes its country. Some currencies, such as XOF, are offered in more than one country, and each country has its own currency ID. Use country_id or country to tell these currencies apart. Required scope: currency:read.
Authorization
oauth2ClientCredentials currency:readAuthorizationBearer <token>
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: currency:read
Response Body
application/json
application/json
List all currencies
curl --request GET \ --url 'https://example.com/api/external/currency'[ { "id": "currency_001", "code": "NGN", "name": "Nigerian Naira", "active": true, "country_id": 160, "country": { "id": 160, "name": "Nigeria", "short_name": "NG", "alt_short_name": "NGA" } }, { "id": "currency_002", "code": "CAD", "name": "Canadian Dollar", "active": true, "country_id": 38, "country": { "id": 38, "name": "Canada", "short_name": "CA", "alt_short_name": "CAN" } }, { "id": "currency_003", "code": "USD", "name": "United States Dollar", "active": true, "country_id": 231, "country": { "id": 231, "name": "United States", "short_name": "US", "alt_short_name": "USA" } }, { "id": "currency_004", "code": "EUR", "name": "Euro", "active": true, "country_id": null, "country": null }, { "id": "currency_005", "code": "GBP", "name": "British Pound", "active": true, "country_id": 230, "country": { "id": 230, "name": "United Kingdom", "short_name": "GB", "alt_short_name": "GBR" } }, { "id": "currency_006", "code": "KES", "name": "Kenyan Shilling", "active": true, "country_id": 110, "country": { "id": 110, "name": "Kenya", "short_name": "KE", "alt_short_name": "KEN" } }, { "id": "currency_007", "code": "XOF", "name": "West African CFA Franc", "active": true, "country_id": 22, "country": { "id": 22, "name": "Benin", "short_name": "BJ", "alt_short_name": "BEN" } }, { "id": "currency_008", "code": "XOF", "name": "West African CFA Franc", "active": true, "country_id": 53, "country": { "id": 53, "name": "Côte d'Ivoire", "short_name": "CI", "alt_short_name": "CIV" } }]